Skip to Content
API ReferenceMarketplaceether.fi weETH API

ether.fi weETH API logo ether.fi weETH API

API for ether.fi weETH contracts. Every ABI item below is callable as its own Spectrum JSON-RPC method. See the Marketplace overview for how the method names are built.

Staking

Deployments

DeploymentChainAddressMethods
weETH
weeth
Ethereum0xcd5fe2…59b7ee10

Methods

Functions

ReadgetRatespectrum_etherfiweeth_ethereum_weeth_call_getRate

Fetches the exchange rate (eETH per weETH)

curl -X POST https://your-endpoint.simplystaking.xyz/v1 \
  -H "Content-Type: application/json" \
{
  "jsonrpc": "2.0",
  "method": "spectrum_etherfiweeth_ethereum_weeth_call_getRate",
  "params": {
    "args": []
  },
  "id": 1
}
Outputs
NameType
output_0uint256
Try It
Demo endpoint: one request per second. Get your own endpoint for higher limits.
ReadgetEETHByWeETHspectrum_etherfiweeth_ethereum_weeth_call_getEETHByWeETH

Converts weETH amount to eETH

curl -X POST https://your-endpoint.simplystaking.xyz/v1 \
  -H "Content-Type: application/json" \
{
  "jsonrpc": "2.0",
  "method": "spectrum_etherfiweeth_ethereum_weeth_call_getEETHByWeETH",
  "params": {
    "args": [
      "0"
    ]
  },
  "id": 1
}
Inputs
NameType
_weETHAmountuint256
Outputs
NameType
output_0uint256
Try It
Demo endpoint: one request per second. Get your own endpoint for higher limits.
Readnamespectrum_etherfiweeth_ethereum_weeth_call_name

Fetches the name of the token

curl -X POST https://your-endpoint.simplystaking.xyz/v1 \
  -H "Content-Type: application/json" \
{
  "jsonrpc": "2.0",
  "method": "spectrum_etherfiweeth_ethereum_weeth_call_name",
  "params": {
    "args": []
  },
  "id": 1
}
Outputs
NameType
output_0string
Try It
Demo endpoint: one request per second. Get your own endpoint for higher limits.
Readsymbolspectrum_etherfiweeth_ethereum_weeth_call_symbol

Fetches the symbol of the token

curl -X POST https://your-endpoint.simplystaking.xyz/v1 \
  -H "Content-Type: application/json" \
{
  "jsonrpc": "2.0",
  "method": "spectrum_etherfiweeth_ethereum_weeth_call_symbol",
  "params": {
    "args": []
  },
  "id": 1
}
Outputs
NameType
output_0string
Try It
Demo endpoint: one request per second. Get your own endpoint for higher limits.
Readdecimalsspectrum_etherfiweeth_ethereum_weeth_call_decimals

Fetches the decimals of the token

curl -X POST https://your-endpoint.simplystaking.xyz/v1 \
  -H "Content-Type: application/json" \
{
  "jsonrpc": "2.0",
  "method": "spectrum_etherfiweeth_ethereum_weeth_call_decimals",
  "params": {
    "args": []
  },
  "id": 1
}
Outputs
NameType
output_0uint8
Try It
Demo endpoint: one request per second. Get your own endpoint for higher limits.
ReadtotalSupplyspectrum_etherfiweeth_ethereum_weeth_call_totalSupply

Fetches the totalSupply of the token

curl -X POST https://your-endpoint.simplystaking.xyz/v1 \
  -H "Content-Type: application/json" \
{
  "jsonrpc": "2.0",
  "method": "spectrum_etherfiweeth_ethereum_weeth_call_totalSupply",
  "params": {
    "args": []
  },
  "id": 1
}
Outputs
NameType
output_0uint256
Try It
Demo endpoint: one request per second. Get your own endpoint for higher limits.
ReadbalanceOfspectrum_etherfiweeth_ethereum_weeth_call_balanceOf

Fetches the balance of an address

curl -X POST https://your-endpoint.simplystaking.xyz/v1 \
  -H "Content-Type: application/json" \
{
  "jsonrpc": "2.0",
  "method": "spectrum_etherfiweeth_ethereum_weeth_call_balanceOf",
  "params": {
    "args": [
      "0x0000000000000000000000000000000000000001"
    ]
  },
  "id": 1
}
Inputs
NameType
accountaddress
Outputs
NameType
output_0uint256
Try It
Demo endpoint: one request per second. Get your own endpoint for higher limits.
Readallowancespectrum_etherfiweeth_ethereum_weeth_call_allowance

Fetches the allowance of an address for a spender

curl -X POST https://your-endpoint.simplystaking.xyz/v1 \
  -H "Content-Type: application/json" \
{
  "jsonrpc": "2.0",
  "method": "spectrum_etherfiweeth_ethereum_weeth_call_allowance",
  "params": {
    "args": [
      "0x0000000000000000000000000000000000000001",
      "0x0000000000000000000000000000000000000001"
    ]
  },
  "id": 1
}
Inputs
NameType
owneraddress
spenderaddress
Outputs
NameType
output_0uint256
Try It
Demo endpoint: one request per second. Get your own endpoint for higher limits.

Events

EventTransferspectrum_etherfiweeth_ethereum_weeth_getLogs_Transfer

The event emitted when a transfer is made

curl -X POST https://your-endpoint.simplystaking.xyz/v1 \
  -H "Content-Type: application/json" \
{
  "jsonrpc": "2.0",
  "method": "spectrum_etherfiweeth_ethereum_weeth_getLogs_Transfer",
  "params": {
    "args": [
      null,
      null,
      null
    ],
    "fromBlock": "latest",
    "toBlock": "latest"
  },
  "id": 1
}
Event arguments
NameTypeIndexed
fromaddressyes
toaddressyes
valueuint256no
Try It
Demo endpoint: one request per second. Get your own endpoint for higher limits.
EventApprovalspectrum_etherfiweeth_ethereum_weeth_getLogs_Approval

The event emitted when an approval is made

curl -X POST https://your-endpoint.simplystaking.xyz/v1 \
  -H "Content-Type: application/json" \
{
  "jsonrpc": "2.0",
  "method": "spectrum_etherfiweeth_ethereum_weeth_getLogs_Approval",
  "params": {
    "args": [
      null,
      null,
      null
    ],
    "fromBlock": "latest",
    "toBlock": "latest"
  },
  "id": 1
}
Event arguments
NameTypeIndexed
owneraddressyes
spenderaddressyes
valueuint256no
Try It
Demo endpoint: one request per second. Get your own endpoint for higher limits.